Get Posts of a Specific LinkedIn Profile
This API allows the authenticated user to retrieve posts published by a specific LinkedIn profile.
What is a slug?
A slug is the unique identifier extracted from the LinkedIn post URL.
How to obtain the slug
1. Open LinkedIn.
2. Select the post you want to fetch.
3. Copy the URL of the post.
4. Example:
https://www.linkedin.com/posts/jignesh-gilatar_visualpuzzle-brainteaser-logicgame-share-7396744346366181376-z5su?utm_source=share&utm_medium=member_desktop&rcm=ACoAAF1p6hMB1IK7DILJJQmWmaKxqUzme4y72jI 6. The slug will be the long string after the username:
jignesh-gilatar_visualpuzzle-brainteaser-logicgame-share-7396744346366181376-z5su Group Posts
If the LinkedIn post belongs to a group, then:
is_group should be set to true.
| Header Parameters |
|---|
x-api-key uuid — REQUIRED |
x-api-secret uuid — REQUIRED |
| Request Body — REQUIRED |
|---|
account_id string — REQUIRED |
slug string — REQUIRED |
is_group boolean — REQUIRED |
| Responses | ||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
Immediate Resultrequest_id | ||||||||||||||
Success
| ||||||||||||||
Failed
|